// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from etsi_its_denm_ts_msgs:msg/StationaryVehicleContainer.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "etsi_its_denm_ts_msgs/msg/stationary_vehicle_container.h"


#ifndef ETSI_ITS_DENM_TS_MSGS__MSG__DETAIL__STATIONARY_VEHICLE_CONTAINER__STRUCT_H_
#define ETSI_ITS_DENM_TS_MSGS__MSG__DETAIL__STATIONARY_VEHICLE_CONTAINER__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'stationary_since'
#include "etsi_its_denm_ts_msgs/msg/detail/stationary_since__struct.h"
// Member 'stationary_cause'
#include "etsi_its_denm_ts_msgs/msg/detail/cause_code_v2__struct.h"
// Member 'carrying_dangerous_goods'
#include "etsi_its_denm_ts_msgs/msg/detail/dangerous_goods_extended__struct.h"
// Member 'number_of_occupants'
#include "etsi_its_denm_ts_msgs/msg/detail/number_of_occupants__struct.h"
// Member 'vehicle_identification'
#include "etsi_its_denm_ts_msgs/msg/detail/vehicle_identification__struct.h"
// Member 'energy_storage_type'
#include "etsi_its_denm_ts_msgs/msg/detail/energy_storage_type__struct.h"

/// Struct defined in msg/StationaryVehicleContainer in the package etsi_its_denm_ts_msgs.
/**
  * ==============================================================================
  * MIT License
  *
  * Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
  *
  * Permission is hereby granted, free of charge, to any person obtaining a copy
  * of this software and associated documentation files (the "Software"), to deal
  * in the Software without restriction, including without limitation the rights
  * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  * copies of the Software, and to permit persons to whom the Software is
  * furnished to do so, subject to the following conditions:
  *
  * The above copyright notice and this permission notice shall be included in all
  * copies or substantial portions of the Software.
  *
  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  * SOFTWARE.
  * ==============================================================================
 */
typedef struct etsi_its_denm_ts_msgs__msg__StationaryVehicleContainer
{
  /// --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
  /// python3
  ///   utils/codegen/codegen-py/asn1ToRosMsg.py
  ///   asn1/raw/denm_ts103831/DENM-PDU-Descriptions.asn
  ///   asn1/patched/denm_ts103831/cdd/ETSI-ITS-CDD.asn
  ///   -t
  ///   denm_ts
  ///   -o
  ///   etsi_its_msgs/etsi_its_denm_ts_msgs/msg
  /// ------------------------------------------------------------------------------
  /// --- ASN.1 Definition ---------------------------------------------------------
  /// /**
  ///  * This type contains detailed information about a stationary vehicle.
  ///  *
  ///  * It shall include the following components:
  ///  *
  ///  * @field stationarySince: the optional time duration of the stationary vehicle being stationary.
  ///  *
  ///  * @field stationaryCause: optional additional information to describe causes of the stationary vehicle event such as human problem.
  ///  *
  ///  * @field carryingDangerousGoods: optional information on the type of dangerous goods, the required emergency action and other information.
  ///  *
  ///  * @field numberOfOccupants: the optional estimated number of occupants involved in the stationary vehicle event.
  ///  *
  ///  * @field vehicleIdentification: the optional identification of the stationary vehicle.
  ///  *
  ///  * @field energyStorageType: the optional vehicle energy storage type information of the stationary vehicle, such as electric, diesel, etc.
  ///  *
  /// */
  /// StationaryVehicleContainer ::= SEQUENCE {
  ///     stationarySince        StationarySince OPTIONAL,
  ///     stationaryCause        CauseCodeV2 OPTIONAL,
  ///     carryingDangerousGoods DangerousGoodsExtended OPTIONAL,
  ///     numberOfOccupants      NumberOfOccupants OPTIONAL,
  ///     vehicleIdentification  VehicleIdentification OPTIONAL,
  ///     energyStorageType      EnergyStorageType OPTIONAL
  /// }
  /// ------------------------------------------------------------------------------
  etsi_its_denm_ts_msgs__msg__StationarySince stationary_since;
  bool stationary_since_is_present;
  etsi_its_denm_ts_msgs__msg__CauseCodeV2 stationary_cause;
  bool stationary_cause_is_present;
  etsi_its_denm_ts_msgs__msg__DangerousGoodsExtended carrying_dangerous_goods;
  bool carrying_dangerous_goods_is_present;
  etsi_its_denm_ts_msgs__msg__NumberOfOccupants number_of_occupants;
  bool number_of_occupants_is_present;
  etsi_its_denm_ts_msgs__msg__VehicleIdentification vehicle_identification;
  bool vehicle_identification_is_present;
  etsi_its_denm_ts_msgs__msg__EnergyStorageType energy_storage_type;
  bool energy_storage_type_is_present;
} etsi_its_denm_ts_msgs__msg__StationaryVehicleContainer;

// Struct for a sequence of etsi_its_denm_ts_msgs__msg__StationaryVehicleContainer.
typedef struct etsi_its_denm_ts_msgs__msg__StationaryVehicleContainer__Sequence
{
  etsi_its_denm_ts_msgs__msg__StationaryVehicleContainer * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} etsi_its_denm_ts_msgs__msg__StationaryVehicleContainer__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // ETSI_ITS_DENM_TS_MSGS__MSG__DETAIL__STATIONARY_VEHICLE_CONTAINER__STRUCT_H_
